Upgrade error from Hpsmh version 7.1.1 to 7.2.2 (1394 Views)
Reply
Valued Contributor
Darryl Ho_1
Posts: 146
Registered: ‎10-11-2005
Message 1 of 2 (1,394 Views)
Accepted Solution

Upgrade error from Hpsmh version 7.1.1 to 7.2.2

[ Edited ]

Hi,

 

I am trying to upgrade the hpsmh in a Red hat linux 6.2 machine and it when i run the rpm installation it gaves me the following error. Does anyone know what when wrong? Thanks

 

# rpm -ivh hpsmh-7.2.2-8.x86_64.rpm
Preparing...                ########################################### [100%]
        file /opt/hp/hpsmh/bin/openssl from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/bin/rotatelogs from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/bin/smhlogreader from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-autoindex.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-autoindex.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-dav.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-dav.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-default.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-default.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-info.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-info.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-languages.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-languages.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-manual.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-manual.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-mpm.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-mpm.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-multilang-errordoc.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-multilang-errordoc.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-ssl.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-ssl.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-userdir.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-userdir.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/extra/httpd-vhosts.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/extra/httpd-vhosts.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/magic from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/mime.types from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/conf/original/httpd.conf from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/aiclogin.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/cpqlogin.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/custcert.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/custom_ui/README.txt from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/groups.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/ipbind.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/iprstrct.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/lang/en/language.php from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/lang/ja/language.php from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/lang/en/log_messages.php from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/lang/ja/log_messages.php from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/message.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/smhhelp.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/data/htdocs/trstcert.php.en from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lbin/smhredirect from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/apr.exp from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/aprutil.exp from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libapr-1.la from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libapr-1.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libapr-1.so.0 from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libaprutil-1.la from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libaprutil-1.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libaprutil-1.so.0 from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libcrypto.so.1.0.0 from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libcurl.la from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libcurl.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libcurl.so.4 from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libsmhlogwriter.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libssl.so.1.0.0 from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/lib/libxml2.so.2.7.8 from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/httpd.exp from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/libphp5.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_actions.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_alias.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_cgi.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_dir.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_env.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_headers.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_imagemap.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_log_config.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_mime.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_negotiation.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_proxy.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_proxy_ajp.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_proxy_balancer.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_proxy_connect.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_proxy_ftp.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_proxy_http.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_rewrite.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_setenvif.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/modules/mod_smh_help.so from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/sbin/cgi_pam from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/sbin/hpsmhd from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/sbin/php from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/sbin/smhconfig from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /opt/hp/hpsmh/sbin/smhstart from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /usr/local/hp/hpSMHSetup/L10N.pm from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64
        file /usr/local/hp/hpfdtn.sh from install of hpsmh-7.2.2-8.x86_64 conflicts with file from package hpsmh-7.1.1-1.x86_64

 

 

P.S. This thread has been moved from HP-UX>System Administration to Linux > sysadmin. -HP Forum Moderator

Valued Contributor
Darryl Ho_1
Posts: 146
Registered: ‎10-11-2005
Message 2 of 2 (1,390 Views)

Re: Upgrade error from Hpsmh version 7.1.1 to 7.2.2

Ok i have found out the problem. The problem is the command. When we need to upgrade an existing package we should use "-uvh" rather than "-ivh".

The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.